#ifndef __ROCCAT_RYOS_LIBUSB_H__
#define __ROCCAT_RYOS_LIBUSB_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "ryos.h"

G_BEGIN_DECLS

struct libusb_device_handle *ryos_libusb_open_first_device(void);
struct libusb_device_handle *ryos_libusb_open_from_roccat_device(RoccatDevice const *roccat_device);
gboolean ryos_libusb_check_firmware_write(struct libusb_device_handle *handle);
guint ryos_libusb_firmware_version_read(struct libusb_device_handle *handle);
gboolean ryos_libusb_firmware_write_0(struct libusb_device_handle *handle);
gboolean ryos_libusb_firmware_write_1(struct libusb_device_handle *handle);
gboolean ryos_libusb_firmware_write_2(struct libusb_device_handle *handle);
gboolean ryos_libusb_firmware_write_3(struct libusb_device_handle *handle, guint16 number, guint8 const *chunk);
gboolean ryos_libusb_firmware_write_4(struct libusb_device_handle *handle, guint8 const *chunk);
gboolean ryos_libusb_firmware_write_f(struct libusb_device_handle *handle);

G_END_DECLS

#endif
